Bug 130556 - PATCH: up2date does not handle apt-mirror's
PATCH: up2date does not handle apt-mirror's
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Adrian Likins
Fanny Augustin
:
Depends On:
Blocks: 124619 130798
  Show dependency treegraph
 
Reported: 2004-08-21 15:03 EDT by Jos Vos
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-22 11:08:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch to correcly handle apt mirrors (774 bytes, patch)
2004-08-21 15:31 EDT, Jos Vos
no flags Details | Diff

  None (edit)
Description Jos Vos 2004-08-21 15:03:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jos Vos 2004-08-21 15:08:15 EDT
Sorry... pressed RETURN too fast... here's the description:

Description of problem:
apt-mirror lines in /etc/sysconfig/rhn/sources are not handled
correctly.  In fact, the Python code contains syntax errors, variable
name errors, and is wrong in other aspects.

Version-Release number of selected component (if applicable):
4.3.19-1

Anyway, I fixed it and it seems to work (not extensively tested), so I
will attach a patch to this bug later.
Comment 2 Jos Vos 2004-08-21 15:31:39 EDT
Created attachment 102955 [details]
Patch to correcly handle apt mirrors
Comment 3 William M. Quarles 2004-11-27 00:11:53 EST
Hi Adrian and Jos,

I don't think that Jos explained very well what the problem was that
inspired him to look for these problems in the code.  I'll paste in
his e-mail on the Fedora Developer's list about this issue in order to
fill in the blanks.

****

-------- Original Message --------
From: Jos Vos <jos@xos.nl>
Subject: APT repository problems with up2date
Newsgroups: gmane.linux.redhat.fedora.devel

Hi,

Before I start digging in the up2date code myself, maybe someone
can comment on this:

I have a problem when using up2date up2date with my self-created
APT repositories.  When updating, it complains about conflicting
files: it just thinks that a long list of directories that are
shared among packages conflict with each other.

Apt-get itself (and synaptic) seems to work fine with the same
repository, only with up2date there is a problem.  Also, up2date
with a yum repository of then same package set works fine, as
does yum itself.

FWIW: I generate my APT repositories with --flat --bloat.

Cheers,

--
--    Jos Vos <jos@xos.nl>
--    X/OS Experts in Open Systems BV   |   Phone: +31 20 6938364
--    Amsterdam, The Netherlands        |     Fax: +31 20 6948204


-- 
fedora-devel-list mailing list
fedora-devel-list@redhat.com
http://www.redhat.com/mailman/listinfo/fedora-devel-list

****

I've experienced similar problems with Fedora Core 1 (I know that you
aren't maintaining it anymore, so I've already reported it to The
Fedora Legacy Project
<http://bugzilla.fedora.us/show_bug.cgi?id=2306>).  Aside, I have not
upgraded to Fedora Core 2 or 3 due to reservations about the
performance of the 2.6 kernel.  I am using the Planet CCRMA software
repository <http://ccrma.stanford.edu/planetccrma/software/>.  Yum and
Apt work fine in accessing the repositories, but Up2Date craps out
with a bunch of spurious "file conflicts" since the packages that it
attempts to download provide directories that are the same as packages
already installed on the client computer.  Here is an example error
message:

****

Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
The following packages were added to your selection to satisfy
dependencies:
Name                                    Version        Release
--------------------------------------------------------------
jack-audio-connection-kit               0.99.0         2.rhfc1.ccrma
prelink                                 0.3.2          0.1.rhfc1.ccrma

file /usr/lib/ladspa from install of fil-plugins-0.0.1-1.rhfc1.ccrma
conflicts with file from package swh-plugins-0.4.11-1.rhfc1.ccrma
file /usr/lib/ladspa from install of mcp-plugins-0.3.0-1.rhfc1.ccrma
conflicts with file from package swh-plugins-0.4.11-1.rhfc1.ccrma
file /usr/lib/ladspa from install of rev-plugins-0.2.1-2.rhfc1.ccrma
conflicts with file from package swh-plugins-0.4.11-1.rhfc1.ccrma
file /usr/lib/ladspa from install of tap-plugins-0.6.0-1.rhfc1.ccrma
conflicts with file from package swh-plugins-0.4.11-1.rhfc1.ccrma
file /usr/lib/ladspa from install of vco-plugins-0.3.0-2.rhfc1.ccrma
conflicts with file from package swh-plugins-0.4.11-1.rhfc1.ccrma 

****

/usr/lib/ladspa is merely a directory in this example, so installing
the rpms should not affect anything.

Adrian, your attention to this matter would be greatly appreciated.

Peace,
William
Comment 4 Dag Wieers 2005-02-20 19:15:48 EST
Conflicting directories with apt sources is still a problem with EL4.

Testing package set / solving RPM inter-dependencies...
########################################
RPM package conflict error.  The message was:
Test install failed because of package conflicts:
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/Net from
install of perl-Net-SSLeay-1.25-1.2.el4.rf conflicts with file from
package perl-Net-DNS-0.48-1.2.el4.rf
file /usr/lib/perl5/vendor_perl/5.8.5/i386-linux-thread-multi/auto/Net
from install of perl-Net-SSLeay-1.25-1.2.el4.rf conflicts with file
from package perl-Net-DNS-0.48-1.2.el4.rf
file /etc/squid conflicts between attempted installs of
squidguard-1.2.0-2.2.el4.rf and squid-2.5.STABLE6-3.4E.3
file /usr/lib/perl5/vendor_perl/5.8.5/IO from install of
perl-IO-Socket-SSL-0.96-1.2.el4.rf conflicts with file from package
perl-IO-Multiplex-1.08-2.2.el4.rf
file /usr/lib/perl5/vendor_perl/5.8.5/Mail conflicts between attempted
installs of perl-MailTools-1.66-1.2.el4.rf and spamassassin-3.0.1-0.EL4
file /usr/lib/perl5/vendor_perl/5.8.5/IO from install of
perl-IO-stringy-2.109-1.2.el4.rf conflicts with file from package
perl-IO-Multiplex-1.08-2.2.el4.rf
Comment 5 Dag Wieers 2005-02-20 19:16:42 EST
See also bug 119111
Comment 6 Matthew Miller 2005-04-26 11:35:53 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 7 David Lawrence 2006-04-18 16:17:54 EDT
NEEDINFO_ENG has been deprecated in favor of NEEDINFO or ASSIGNED. Changing
status to ASSIGNED for ENG review.
Comment 8 John Thacker 2006-04-22 11:08:01 EDT
up2date is no longer shipped with Fedora Core; it's functionality 
has been replaced by pup, found in the pirut package.  The only fixes 
likely to be made to up2date in RedHat Linux and earlier Fedora Core 
versions are security fixes by Fedora Legacy.  This does not seem to 
be a security bug, so I'm closing it.

If the problem is appropriate to RHEL and occurs to a user there, it 
can be filed as such.

Note You need to log in before you can comment on or make changes to this bug.